package com.company.gridstackproject.view.blank;


import com.company.gridstackcomponent.component.GridStackComponent;
import com.company.gridstackcomponent.config.GridStackConfiguration;
import com.company.gridstackcomponent.entity.Widget;
import com.company.gridstackcomponent.repository.WidgetRepository;
import com.company.gridstackcomponent.service.TemplateService;
import com.company.gridstackproject.entity.ExtTemplate;
import com.company.gridstackproject.entity.User;
import com.company.gridstackproject.service.ExtTemplateService;
import com.company.gridstackproject.view.main.MainView;

import com.vaadin.flow.component.button.Button;
import com.vaadin.flow.component.html.Div;
import com.vaadin.flow.router.Route;
import io.jmix.core.DataManager;
import io.jmix.flowui.view.StandardView;
import io.jmix.flowui.view.Subscribe;
import io.jmix.flowui.view.ViewController;
import io.jmix.flowui.view.ViewDescriptor;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.UUID;

@Route(value = "blank-view", layout = MainView.class)
@ViewController("BlankView")
@ViewDescriptor("blank-view.xml")
public class BlankView extends StandardView {

    @Autowired
    private GridStackConfiguration<User, String> configuration;

    @Autowired
    private ExtTemplateService service;

    @Subscribe
    public void onInit(InitEvent event){
        configuration.setPageUrl("blank-view");

        service.create(new Div(new Button("Click Me!")));

        try {
            GridStackComponent component = new GridStackComponent(configuration);

            getContent().add(component);
        } catch (IllegalAccessException | NoSuchFieldException e) {
            throw new RuntimeException(e);
        }
    }
}